Summary:        Graphical tool to make photo collage posters
Name:           photocollage
Version:        1.4.4
Release:        %mkrel 2
Url:            https://github.com/adrienverge/PhotoCollage
License:        GPLv2+
Group:          Graphics
Source0:        http://adrienverge.fedorapeople.org/packages/%{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       python3-pillow
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       python3-six
Requires:       gettext

%description
PhotoCollage allows you to create photo collage posters. It assembles
the input photographs it is given to generate a big poster. Photos are
automatically arranged to fill the whole poster, then you can change the
final layout, dimensions, border or swap photos in the generated grid.
Eventually the final poster image can be saved in any size.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
%find_lang %{name}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README.rst
%doc LICENSE
%{python3_sitelib}/*
%{_bindir}/photocollage
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Sat Aug 27 2022 TerryN <terryn94 at gmail.com>  1.4.4-2pclos2022
- rebuild for python 3.10

* Thu Jul 30 2020 tex - 1.4.4-1pclos2020
- create pkg
